Bug 871 - renaming files from OS/2 client failures
Summary: renaming files from OS/2 client failures
Status: CLOSED FIXED
Alias: None
Product: Samba 3.0
Classification: Unclassified
Component: nmbd (show other bugs)
Version: 3.0.0
Hardware: All Linux
: P3 normal
Target Milestone: none
Assignee: Samba Bugzilla Account
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-12-09 17:27 UTC by Steve Wendt (mail bounces back
Modified: 2005-04-18 17:56 UTC (History)
3 users (show)

See Also:


Attachments
Log file that shows the rename of "misc" directory to "m" (36.72 KB, text/plain)
2003-12-09 17:30 UTC, Steve Wendt (mail bounces back
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Steve Wendt (mail bounces back 2003-12-09 17:27:34 UTC
Running Samba server 3.0.0 and/or 3.0.1rc1 on Red Hat 8.0.  Seems to work well
with Windows XP clients (haven't tested earlier Windows versions much yet), but
has lots of problems with OS/2 clients.

I can use "net use" to map a drive letter to a Samba share, but when trying to
rename files on the command line, it gives a SYS0072 error (service has been
paused???), but works correctly.

Using the OS/2 SMB Tracing Tool, we see things like this:
Understands long file names, Errors in NT status format,
Unknown secondary SMB flags: 0x18433

I have tried "nt status support = no" but it didn't change anything.  The
protocol negotiation seems to come up with LM1.2X002, which I suppose is what
Samba calls LANMAN2.
Comment 1 Steve Wendt (mail bounces back 2003-12-09 17:30:20 UTC
Created attachment 311 [details]
Log file that shows the rename of "misc" directory to "m"
Comment 2 Björn Jacke 2004-06-19 18:47:56 UTC
should be fixed in svn. please try the next release, which will be made
available (post 3.0.5pre1).
Comment 3 Steve Wendt (mail bounces back 2004-07-09 12:30:42 UTC
Problem still present in 3.0.5 RC1.
Comment 4 Gerald (Jerry) Carter 2005-02-08 21:40:12 UTC
one more time.  please retest 3.0.11 and reopen if necessary.
Comment 5 Steve Wendt (mail bounces back 2005-02-09 16:02:01 UTC
Error message is now "SYS0064: The specified network name is no longer available."
Comment 6 Alex Masterov 2005-03-23 22:11:23 UTC
Seems to be fixed in 3.0.14pre1 from SVN 24.03.2005 (6031)
Comment 7 Steve Wendt (mail bounces back 2005-03-24 16:35:58 UTC
Sounds promising!  Does NOT work in 3.0.13.
Comment 8 Steve Wendt (mail bounces back 2005-04-18 17:55:56 UTC
Working here with Samba 3.0.14a release built from SRPM.